Name:           nanovna
Version:        20200507
Release:        1%{?dist}
Summary:        PC GUI software for NanoVNA V2

License:        GPLv2+
URL:            https://github.com/%{name}/NanoVNA-QT/
Source0:        https://github.com/%{name}/NanoVNA-QT/archive/%{version}.tar.gz
Patch0:         nanovna-sailer.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  eigen3-devel
BuildRequires:  fftw-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtcharts-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtwebsockets-devel
BuildRequires:  qt5-qtx11extras-devel

%description
PC GUI software for NanoVNA V2

%prep
%autosetup -n NanoVNA-QT-%{version} -p1


%build
autoreconf --install
%configure
%make_build

pushd libxavna/xavna_mock_ui
qmake-qt5
make -j%{_smp_build_ncpus}
popd

pushd vna_qt
qmake-qt5
make -j%{_smp_build_ncpus}
popd


%install
rm -rf $RPM_BUILD_ROOT
%make_install
install -d $RPM_BUILD_ROOT/%{_libdir}
install -d $RPM_BUILD_ROOT/%{_bindir}
install libxavna/xavna_mock_ui/libxavna_mock_ui.so* $RPM_BUILD_ROOT/%{_libdir}
install vna_qt/vna_qt $RPM_BUILD_ROOT/%{_bindir}/nanovna
rm -f $RPM_BUILD_ROOT/%{_libdir}/libxavna.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libxavna.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libxavna.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libxavna_mock_ui.so

%files
%license LICENSE
%doc README.md ug1101.pdf
%{_libdir}/libxavna.so.*
%{_libdir}/libxavna_mock_ui.so.*
%{_bindir}/nanovna


%changelog
* Wed Aug 26 2020 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20200507-1
- initial package
